#!/bin/bash

ARG1=$1
NAMESPACE=$(cat namespace)
DTRACK_VERSION=0.25.0

kubectl create namespace $NAMESPACE \
  --dry-run=client \
  -o yaml | \
  kubectl -f - apply




helm repo add dtrack https://dependencytrack.github.io/helm-charts
helm repo update
helm upgrade --install \
  dtrack dtrack/dependency-track \
  -f values.yml \
  --version $DTRACK_VERSION \
  --namespace=$NAMESPACE


kubectl -f ingress.yml -n $NAMESPACE apply

